## i-cal-langbind i-cal-langbind |

## Functions

gint * | i_cal_langbind_new_array ()
void | i_cal_langbind_free_array ()
gint | i_cal_langbind_access_array ()
ICalParameter * | i_cal_langbind_get_first_parameter ()
ICalParameter * | i_cal_langbind_get_next_parameter ()
ICalProperty * | i_cal_langbind_get_first_property ()
ICalProperty * | i_cal_langbind_get_next_property ()
ICalComponent * | i_cal_langbind_get_first_component ()
ICalComponent * | i_cal_langbind_get_next_component ()
gchar * | i_cal_langbind_property_eval_string_r ()
gint | i_cal_langbind_string_to_open_flag ()
gchar * | i_cal_langbind_quote_as_ical_r ()

## Description

## Functions

### i_cal_langbind_new_array ()

    gint *
    i_cal_langbind_new_array (gint size);

Create a new array with specified size.

#### Parameters

size | The size of the array to be created. |

#### Returns

The newly created array.

[transfer full]

Since: 1.0

### i_cal_langbind_free_array ()

    void
    i_cal_langbind_free_array (gint *array);

Free an array

#### Parameters

array | The array to be freed. | [in][transfer full]

Since: 1.0

### i_cal_langbind_access_array ()

    gint
    i_cal_langbind_access_array (gint *array,
                                 gint index);

Array accesser

#### Parameters

array | The array to be accessed |
index | The index of element in the array to be accessed |

#### Returns

The element

Since: 1.0

### i_cal_langbind_get_first_parameter ()

    ICalParameter *
    i_cal_langbind_get_first_parameter (ICalProperty *prop);

Get the first ICalParameter in the ICalProperty

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

The next ICalParameter in the ICalProperty.

[allow-none][transfer full]

Since: 1.0

### i_cal_langbind_get_next_parameter ()

    ICalParameter *
    i_cal_langbind_get_next_parameter (ICalProperty *prop);

Get the next ICalParameter in theICalProperty

#### Parameters

prop | The ICalProperty to be queried |

#### Returns

The next ICalParameter in the ICalProperty.

[allow-none][transfer full]

Since: 1.0

### i_cal_langbind_get_first_property ()

    ICalProperty *
    i_cal_langbind_get_first_property (ICalComponent *c,
                                       const gchar *prop);

Get the first property with the target name.

#### Parameters

c | The ICalComponent to be queried. |
prop | The property name. |

#### Returns

The first ICalProperty with the name `prop` .

[allow-none][transfer full]

Since: 1.0

### i_cal_langbind_get_next_property ()

    ICalProperty *
    i_cal_langbind_get_next_property (ICalComponent *c,
                                      const gchar *prop);

Get the next property with the target name.

#### Parameters

c | The ICalComponent to be queried. |
prop | The property name. |

#### Returns

The next ICalProperty with the name `prop` .

[allow-none][transfer full]

Since: 1.0

### i_cal_langbind_get_first_component ()

    ICalComponent *
    i_cal_langbind_get_first_component (ICalComponent *c,
                                        const gchar *comp);

Get the first component with the target name.

#### Parameters

c | The ICalComponent to be queried. |
comp | The component name. |

#### Returns

The first ICalComponent with the name `comp` .

[allow-none][transfer full]

Since: 1.0

### i_cal_langbind_get_next_component ()

    ICalComponent *
    i_cal_langbind_get_next_component (ICalComponent *c,
                                       const gchar *comp);

Get the next component with the target name.

#### Parameters

c | The ICalComponent to be queried. |
comp | The property name. |

#### Returns

The next ICalComponent with the name `comp` .

[allow-none][transfer full]

Since: 1.0

### i_cal_langbind_property_eval_string_r ()

    gchar *
    i_cal_langbind_property_eval_string_r (ICalProperty *prop,
                                           const gchar *sep);

Translate the ICalProperty into the string representation.

#### Parameters

prop | The ICalComponent to be translated. |
sep | The seperator. |

#### Returns

The sring representation of `prop` .

[transfer full]

Since: 1.0

### i_cal_langbind_string_to_open_flag ()

    gint
    i_cal_langbind_string_to_open_flag (const gchar *str);

Translate a string into the enum for the file open mode

#### Parameters

str | The string representation of the file open mode |

#### Returns

The enum representation of the file open mode

Since: 1.0

### i_cal_langbind_quote_as_ical_r ()

    gchar *
    i_cal_langbind_quote_as_ical_r (const gchar *str);

Encode a character string in ical format, esacpe certain characters, etc.

#### Parameters

str | The string to be translated. |

#### Returns

The.

[transfer full]

Since: 1.0

## Types and Values